import 'reflect-metadata';
import type { ClusterNode } from 'ioredis';
/**
 * This is for backend only
 */
export declare const config: Readonly<{
    SENTRY_DSN_FRONTEND: string;
    NODE_ENV: string;
    BACKEND_URL: string;
    LOCAL_BACKEND_URL: string;
    LOCAL_GRAPHQL_URL: string;
    GRAPHQL_URL: string;
    LOG_LEVEL: string;
    REDIS_CLUSTER_URL: ClusterNode[];
    REDIS_URL: string;
    REDIS_CLUSTER_ENABLED: boolean;
    REDIS_SENTINEL_ENABLED: boolean;
    APP_NAME: string;
    CLIENT_URL: string;
    CONNECTION_ID: string;
    NAMESPACE: string;
    ZIPKIN_URL: string;
} & import("envalid").CleanedEnvAccessors>;
