import'reflect-metadata';import {cleanEnv,str,json,bool}from'envalid';/**
 * This is for backend only
 */
const config = cleanEnv(process.env, {
    SENTRY_DSN_FRONTEND: str({ default: 'https://64defc5ee0bd467aa28888f9860f18ee@sentry.io/2158332' }),
    NODE_ENV: str({ default: 'production', choices: ['production', 'staging', 'development', 'test'] }),
    BACKEND_URL: str({ devDefault: __BACKEND_URL__ }),
    LOCAL_BACKEND_URL: str({ devDefault: __BACKEND_URL__ }),
    LOCAL_GRAPHQL_URL: str({ default: __GRAPHQL_URL__, desc: 'Graphql Server URL within LAN' }),
    GRAPHQL_URL: str({ devDefault: __GRAPHQL_URL__, desc: 'Graphql Server Public URL' }),
    LOG_LEVEL: str({ devDefault: 'trace' }),
    REDIS_CLUSTER_URL: json({
        devDefault: '[{"port":6379,"host":"localhost"}]',
        example: '[{"port":6379,"host":"localhost"}]',
    }),
    REDIS_URL: str({ devDefault: 'localhost' }),
    REDIS_CLUSTER_ENABLED: bool({ devDefault: false }),
    REDIS_SENTINEL_ENABLED: bool({ devDefault: true }),
    APP_NAME: str({ devDefault: 'AdminiIde' }),
    CLIENT_URL: str({ devDefault: __BACKEND_URL__ }),
    CONNECTION_ID: str({ devDefault: 'CONNECTION_ID' }),
    NAMESPACE: str({ default: 'default' }),
    ZIPKIN_URL: str(),
});export{config};